Subject: Re: [PATCH 1/4] gnu: Add back the distinction between python-renpy and renpy.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 17 Jun 2022 15:35:37 +0200

Hi,

Am Freitag, dem 17.06.2022 um 09:14 -0400 schrieb Maxim Cournoyer:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > [...]
> > +    (arguments
> > +     `(#:tests? #f ; see python2-renpy
> 
> The comment should mention 'python-renpy' instead, right?  Also, the
> arguments could use gexps...
Thanks for catching the typo.  I don't think the conversion to G-
Expressions should be in this patch, but I can follow up with a
modernization.

> And the trailing #t can be removed.
Sure.

> > [...]
> > +    (inputs
> > +     `(("renpy.in" ,(search-auxiliary-file "renpy/renpy.in"))
> > +       ("python-renpy" ,python-renpy)
> > +       ("python-tkinter" ,python "tk")
> > +       ("python" ,python) ; for ‘fix-commands’ and ‘wrap’
> > +       ("xdg-utils" ,xdg-utils)))
> 
> Can we use new style inputs here?
Not without G-Expressions, and only if I'm allowed to inline the aux-
file into the build via #$.

Cheers